Revision: 2485
Author: bad_sheep
Date: 16:25:33, mardi 14 décembre 2010
Message:
Use const where possible
----
Modified : /trunk/gpac/include/gpac/bitstream.h
Modified : /trunk/gpac/src/utils/bitstream.c

Revision: 2484
Author: bad_sheep
Date: 16:02:16, mardi 14 décembre 2010
Message:
Use const char * instead of char * when possible
----
Modified : /trunk/gpac/include/gpac/mpeg4_odf.h
Modified : /trunk/gpac/src/odf/odf_codec.c

Revision: 2483
Author: bad_sheep
Date: 15:54:21, mardi 14 décembre 2010
Message:
Set correct const, avoid compilation warning
----
Modified : /trunk/gpac/applications/mp4box/live.c

Revision: 2482
Author: bad_sheep
Date: 15:20:40, mardi 14 décembre 2010
Message:
Fixed memory leaks
----
Modified : /trunk/gpac/applications/mp42ts/main.c
Modified : /trunk/gpac/modules/aac_in/aac_in.c

Revision: 2481
Author: cconcolato
Date: 14:27:09, mardi 14 décembre 2010
Message:
Fix for playlist renaming
fix for missing segment-dir in HTTP Streaming case
----
Modified : /trunk/gpac/applications/mp42ts/main.c

Revision: 2480
Author: bad_sheep
Date: 13:45:49, mardi 14 décembre 2010
Message:
Fixed wrong double free
----
Modified : /trunk/gpac/modules/aac_in/aac_in.c

Revision: 2479
Author: bad_sheep
Date: 12:48:29, mardi 14 décembre 2010
Message:
Fixed memory leaks, added assert for debug
----
Modified : /trunk/gpac/applications/mp42ts/main.c
Modified : /trunk/gpac/modules/aac_in/aac_in.c

Revision: 2478
Author: enst_devs
Date: 11:06:56, mardi 14 décembre 2010
Message:
[bouqueau] fix wrong error msg
----
Modified : /trunk/gpac/src/utils/alloc.c

Revision: 2477
Author: enst_devs
Date: 11:05:30, mardi 14 décembre 2010
Message:
[bouqueau] fix m2ts mux potential crash
----
Modified : /trunk/gpac/src/media_tools/m2ts_mux.c

Revision: 2476
Author: enst_devs
Date: 18:40:35, lundi 13 décembre 2010
Message:
[bouqueau] fix arg parser for mp42ts
----
Modified : /trunk/gpac/applications/mp42ts/main.c

Revision: 2475
Author: enst_devs
Date: 16:22:02, lundi 13 décembre 2010
Message:
[bouqueau] fix m2ts muxer leak
----
Modified : /trunk/gpac/src/media_tools/m2ts_mux.c

Revision: 2474
Author: bad_sheep
Date: 15:35:00, lundi 13 décembre 2010
Message:
Fixed compilation warnings for FFMPEG
----
Modified : /trunk/gpac/modules/ffmpeg_in/ffmpeg_decode.c
Modified : /trunk/gpac/modules/ffmpeg_in/ffmpeg_demux.c

Revision: 2473
Author: bad_sheep
Date: 18:19:19, dimanche 12 décembre 2010
Message:
Use const for buffer when sending data over network
----
Modified : /trunk/gpac/include/gpac/network.h
Modified : /trunk/gpac/src/utils/os_net.c

Revision: 2472
Author: bad_sheep
Date: 01:01:39, samedi 11 décembre 2010
Message:
Added const where possible
----
Modified : /trunk/gpac/include/gpac/download.h
Modified : /trunk/gpac/include/gpac/token.h
Modified : /trunk/gpac/src/utils/token.c

Revision: 2471
Author: bad_sheep
Date: 00:30:10, samedi 11 décembre 2010
Message:
bad conversion -> test was always true since both operands where u32
----
Modified : /trunk/gpac/applications/mp42ts/main.c

Revision: 2470
Author: bad_sheep
Date: 18:52:41, vendredi 10 décembre 2010
Message:
Fixed declaration of gf_seng_get_stream_config() for GCC compilation
----
Modified : /trunk/gpac/include/gpac/scene_engine.h
Modified : /trunk/gpac/src/scene_manager/scene_engine.c

Revision: 2469
Author: bad_sheep
Date: 18:41:39, vendredi 10 décembre 2010
Message:
Fixed wrong assigment
----
Modified : /trunk/gpac/modules/mp3_in/mp3_in.c

Revision: 2468
Author: bad_sheep
Date: 18:38:53, vendredi 10 décembre 2010
Message:
Fixed wrong assigment
----
Modified : /trunk/gpac/modules/mp3_in/mp3_in.c

Revision: 2467
Author: bad_sheep
Date: 18:18:19, vendredi 10 décembre 2010
Message:
Fixed incorrect size of pointer for 64bits architecture
----
Modified : /trunk/gpac/include/gpac/setup.h
Modified : /trunk/gpac/src/compositor/mpeg4_textures.c
Modified : /trunk/gpac/src/compositor/svg_font.c
Modified : /trunk/gpac/src/ietf/rtsp_session.c
Modified : /trunk/gpac/src/scene_manager/loader_xmt.c

Revision: 2466
Author: bad_sheep
Date: 16:47:06, vendredi 10 décembre 2010
Message:
Added method RegisterMimeTypes for all modules except ffmpeg
----
Modified : /trunk/gpac/modules/mpd_in/mpd_in.c
Modified : /trunk/gpac/modules/mp3_in/mp3_in.c
Modified : /trunk/gpac/include/gpac/modules/service.h
Modified : /trunk/gpac/modules/aac_in/aac_in.c
Modified : /trunk/gpac/modules/ac3_in/ac3_in.c
Modified : /trunk/gpac/modules/dummy_in/dummy_in.c
Modified : /trunk/gpac/modules/img_in/img_in.c
Modified : /trunk/gpac/modules/isom_in/read.c
Modified : /trunk/gpac/modules/mpegts_in/mpegts_in.c
Modified : /trunk/gpac/modules/ogg/ogg_in.c
Modified : /trunk/gpac/modules/rtp_in/rtp_in.c
Modified : /trunk/gpac/modules/saf_in/saf_in.c
Modified : /trunk/gpac/modules/timedtext/timedtext_in.c
Modified : /trunk/gpac/src/terminal/terminal.c

Revision: 2465
Author: enst_devs
Date: 15:39:10, vendredi 10 décembre 2010
Message:
[bouqueau] fix double free
----
Modified : /trunk/gpac/applications/mp42ts/main.c

Revision: 2464
Author: enst_devs
Date: 15:38:37, vendredi 10 décembre 2010
Message:
[bouqueau] psi tables default refresh rate is 200ms
----
Modified : /trunk/gpac/src/media_tools/m2ts_mux.c

Revision: 2463
Author: bad_sheep
Date: 12:20:12, vendredi 10 décembre 2010
Message:
Fixed possible session/memory leak
----
Modified : /trunk/gpac/modules/aac_in/aac_in.c

Revision: 2462
Author: bad_sheep
Date: 12:06:06, vendredi 10 décembre 2010
Message:
Fixed DownloadManager cleanup
----
Modified : /trunk/gpac/modules/aac_in/aac_in.c

Revision: 2461
Author: bad_sheep
Date: 11:49:38, vendredi 10 décembre 2010
Message:
Fixed reading live AAC does not work
----
Modified : /trunk/gpac/modules/aac_in/aac_in.c

Revision: 2460
Author: enst_devs
Date: 11:41:04, vendredi 10 décembre 2010
Message:
[bouqueau] misc fix for mp42ts
----
Modified : /trunk/gpac/applications/mp42ts/main.c

Revision: 2459
Author: bad_sheep
Date: 19:15:05, jeudi 9 décembre 2010
Message:
Removed OpenGL compilation warnings for UNIX and MacOS X
----
Modified : /trunk/gpac/src/compositor/visual_manager_3d_gl.c

Revision: 2458
Author: bad_sheep
Date: 19:03:11, jeudi 9 décembre 2010
Message:
Compiles without warnings for every version of OpenSSL
----
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2457
Author: enst_devs
Date: 17:16:14, jeudi 9 décembre 2010
Message:
[bouqueau] fix define and bra placements
----
Modified : /trunk/gpac/modules/x11_out/x11_out.c

Revision: 2456
Author: enst_devs
Date: 16:47:30, jeudi 9 décembre 2010
Message:
[bouqueau] add mpd_in to msvc9
----
Modified : /trunk/gpac/build/msvc9/gpac.sln
Added : /trunk/gpac/build/msvc9/mpd_in.vcproj

Revision: 2455
Author: bad_sheep
Date: 13:52:49, jeudi 9 décembre 2010
Message:
Fixed compilation warning on MacOS
----
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2454
Author: bad_sheep
Date: 13:41:31, jeudi 9 décembre 2010
Message:
Fixed error message when decoder is not found
----
Modified : /trunk/gpac/modules/mpd_in/mpd_in.c

Revision: 2453
Author: enst_devs
Date: 13:08:47, jeudi 9 décembre 2010
Message:
[bouqueau] mp42ts: send psi tables every 500ms
----
Modified : /trunk/gpac/applications/mp42ts/main.c
Modified : /trunk/gpac/include/gpac/mpegts.h
Modified : /trunk/gpac/src/media_tools/m2ts_mux.c

Revision: 2452
Author: cconcolato
Date: 10:49:18, jeudi 9 décembre 2010
Message:
Adding error message for use of meta box
(needs further fix, to not rely on order of command-line arguments when adding items to a file)
----
Modified : /trunk/gpac/src/isomedia/meta.c

Revision: 2451
Author: bad_sheep
Date: 09:05:18, jeudi 9 décembre 2010
Message:
Added assert due to a strange bug seen + fixed debug message in MPD_IN
----
Modified : /trunk/gpac/applications/mp4client/main.c
Modified : /trunk/gpac/modules/mpd_in/mpd_in.c

Revision: 2450
Author: bad_sheep
Date: 20:14:05, mercredi 8 décembre 2010
Message:
Fixed MPD to work with any type of M3U files, now works with audio, video...
----
Modified : /trunk/gpac/modules/mpd_in/mpd_in.c

Revision: 2449
Author: enst_devs
Date: 17:07:03, mercredi 8 décembre 2010
Message:
[bouqueau] use gpac allocation functions
----
Modified : /trunk/gpac/modules/redirect_av/redirect_av.c

Revision: 2448
Author: bad_sheep
Date: 11:42:58, mercredi 8 décembre 2010
Message:
Fixed debug messages
----
Modified : /trunk/gpac/modules/mpd_in/mpd_in.c
Modified : /trunk/gpac/modules/redirect_av/redirect_av.c

Revision: 2447
Author: bad_sheep
Date: 22:44:54, mardi 7 décembre 2010
Message:
fixed extra token at end of ifdef directive
----
Modified : /trunk/gpac/src/mcrypt/stream.c

Revision: 2446
Author: bad_sheep
Date: 17:30:14, lundi 6 décembre 2010
Message:
Fixed MPD to work when TS reader reads very fast, fixed mutext issues
----
Modified : /trunk/gpac/modules/mpd_in/mpd_in.c

Revision: 2445
Author: jeanlf
Date: 15:31:12, lundi 6 décembre 2010
Message:
draft code of ndt .html file generation
----
Modified : /trunk/gpac/applications/generators/MPEG4/main.c

Revision: 2444
Author: bad_sheep
Date: 15:29:22, lundi 6 décembre 2010
Message:
Compilation fixes for UNIX + more informative debug messages for MPD
----
Modified : /trunk/gpac/applications/mp4client/main.c
Modified : /trunk/gpac/modules/mpd_in/mpd_in.c
Modified : /trunk/gpac/src/terminal/network_service.c
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2443
Author: jeanlf
Date: 15:29:19, lundi 6 décembre 2010
Message:
Fixed compilation under MSVC
----
Modified : /trunk/gpac/include/gpac/internal/odf_parse_common.h

Revision: 2442
Author: cconcolato
Date: 15:25:43, lundi 6 décembre 2010
Message:
adding bytes per secs for logging download info
----
Modified : /trunk/gpac/include/gpac/events.h

Revision: 2441
Author: jeanlf
Date: 15:17:45, lundi 6 décembre 2010
Message:
Fixed path to point to new path on SVN
----
Added : /trunk/gpac/applications/testapps/mp42ts
Added : /trunk/gpac/applications/testapps/mp42ts/mp42ts.vcproj

Revision: 2440
Author: jeanlf
Date: 15:17:18, lundi 6 décembre 2010
Message:
Fixed extra lib import path
----
Modified : /trunk/gpac/build/msvc8/dx_hw.vcproj

Revision: 2439
Author: jeanlf
Date: 15:15:53, lundi 6 décembre 2010
Message:
Fixed wince compilation
----
Modified : /trunk/gpac/build/msvc8/osmophone.vcproj
Modified : /trunk/gpac/build/msvc8/redirect_av.vcproj

Revision: 2438
Author: jeanlf
Date: 15:14:12, lundi 6 décembre 2010
Message:
Added gui mode (no window title and no composition/mm thread)
----
Modified : /trunk/gpac/applications/mp4client/main.c

Revision: 2437
Author: jeanlf
Date: 15:12:25, lundi 6 décembre 2010
Message:
Added icon resource to MP4Client on win32
----
Modified : /trunk/gpac/build/msvc8/mp4client.vcproj

Revision: 2436
Author: jeanlf
Date: 15:11:56, lundi 6 décembre 2010
Message:
Added icon resource to MP4Client on win32
----
Added : /trunk/gpac/applications/mp4client/mp4client.rc
Added : /trunk/gpac/applications/mp4client/resource.h

Revision: 2435
Author: jeanlf
Date: 15:05:22, lundi 6 décembre 2010
Message:
Added new extensions
----
Modified : /trunk/gpac/modules/gpac_js/gpac_js.c

Revision: 2434
Author: jeanlf
Date: 15:03:57, lundi 6 décembre 2010
Message:
Fixed potential JS multithreading crash
----
Modified : /trunk/gpac/modules/widgetman/widgetman.c

Revision: 2433
Author: jeanlf
Date: 15:02:55, lundi 6 décembre 2010
Message:
Moved sys_color event to video output modules
----
Modified : /trunk/gpac/applications/osmo4_w32/Osmo4.cpp

Revision: 2432
Author: jeanlf
Date: 15:02:33, lundi 6 décembre 2010
Message:
Added time and duration change notification in DLNA controller
----
Modified : /trunk/gpac/modules/platinum/GPACMediaController.cpp
Modified : /trunk/gpac/modules/platinum/GPACMediaController.h
Modified : /trunk/gpac/modules/platinum/GPACPlatinum.cpp
Modified : /trunk/gpac/modules/platinum/GPACPlatinum.h

Revision: 2431
Author: jeanlf
Date: 15:01:46, lundi 6 décembre 2010
Message:
Moved sys_color event to video output modules
----
Modified : /trunk/gpac/include/gpac/events.h
Modified : /trunk/gpac/modules/gapi/gapi.cpp
Modified : /trunk/gpac/modules/sdl_out/video.c

Revision: 2430
Author: jeanlf
Date: 15:00:48, lundi 6 décembre 2010
Message:
Fixed bug when pixel access fails
----
Modified : /trunk/gpac/src/compositor/compositor_2d.c

Revision: 2429
Author: jeanlf
Date: 14:58:21, lundi 6 décembre 2010
Message:
Fixed potential crash
----
Modified : /trunk/gpac/src/compositor/mpeg4_background2d.c

Revision: 2428
Author: jeanlf
Date: 14:58:04, lundi 6 décembre 2010
Message:
Added end of scene detection for offscreen cache and detach mode (subtree discard)
----
Modified : /trunk/gpac/src/compositor/svg_grouping.c

Revision: 2427
Author: jeanlf
Date: 14:57:25, lundi 6 décembre 2010
Message:
fixed text edit and events propagation with composite textures
----
Modified : /trunk/gpac/src/compositor/hardcoded_protos.c

Revision: 2426
Author: jeanlf
Date: 14:57:03, lundi 6 décembre 2010
Message:
fixed text edit and events propagation with composite textures
----
Modified : /trunk/gpac/src/compositor/compositor.c

Revision: 2425
Author: jeanlf
Date: 14:56:48, lundi 6 décembre 2010
Message:
fixed text edit and events propagation with composite textures
----
Modified : /trunk/gpac/src/compositor/events.c
Modified : /trunk/gpac/src/compositor/mpeg4_composite.c
Modified : /trunk/gpac/src/compositor/mpeg4_sensors.c
Modified : /trunk/gpac/src/compositor/mpeg4_text.c
Modified : /trunk/gpac/src/compositor/visual_manager.h

Revision: 2424
Author: jeanlf
Date: 14:55:46, lundi 6 décembre 2010
Message:
Fixed potential crashes on url switching
----
Modified : /trunk/gpac/src/terminal/media_control.c
Modified : /trunk/gpac/src/terminal/media_sensor.c

Revision: 2423
Author: jeanlf
Date: 14:55:13, lundi 6 décembre 2010
Message:
Added end of scene detection for offscreen cache and detach mode (subtree discard)
----
Modified : /trunk/gpac/include/gpac/internal/compositor_dev.h
Modified : /trunk/gpac/src/compositor/offscreen_cache.c
Modified : /trunk/gpac/src/compositor/offscreen_cache.h
Modified : /trunk/gpac/src/terminal/scene.c

Revision: 2422
Author: jeanlf
Date: 14:52:56, lundi 6 décembre 2010
Message:
Fixed bugs in JS GC
----
Modified : /trunk/gpac/include/gpac/internal/scenegraph_dev.h
Modified : /trunk/gpac/src/scenegraph/svg_smjs.c
Modified : /trunk/gpac/src/scenegraph/vrml_proto.c
Modified : /trunk/gpac/src/scenegraph/vrml_route.c
Modified : /trunk/gpac/src/scenegraph/vrml_smjs.c

Revision: 2421
Author: jeanlf
Date: 14:51:24, lundi 6 décembre 2010
Message:
Fixed too strict assert
----
Modified : /trunk/gpac/include/gpac/internal/ietf_dev.h

Revision: 2420
Author: jeanlf
Date: 14:50:44, lundi 6 décembre 2010
Message:
Added title-less decoration init flag
----
Modified : /trunk/gpac/include/gpac/user.h

Revision: 2419
Author: jeanlf
Date: 14:50:17, lundi 6 décembre 2010
Message:
Fixed compilation
----
Modified : /trunk/gpac/modules/mpd_in/mpd_in.c

Revision: 2418
Author: jeanlf
Date: 14:49:33, lundi 6 décembre 2010
Message:
Added support for single window (FS and normal) and title-less decoration
----
Modified : /trunk/gpac/modules/dx_hw/dx_hw.h
Modified : /trunk/gpac/modules/dx_hw/dx_video.c
Modified : /trunk/gpac/modules/dx_hw/dx_window.c

Revision: 2417
Author: jeanlf
Date: 14:47:20, lundi 6 décembre 2010
Message:
Added missing exports
----
Modified : /trunk/gpac/src/export.cpp

Revision: 2416
Author: jeanlf
Date: 14:46:07, lundi 6 décembre 2010
Message:
Fixed wince compilation
----
Modified : /trunk/gpac/include/gpac/setup.h
Modified : /trunk/gpac/src/utils/downloader.c
Modified : /trunk/gpac/src/utils/os_divers.c

Revision: 2415
Author: cconcolato
Date: 14:28:45, lundi 6 décembre 2010
Message:
adding log messages for debugging
----
Modified : /trunk/gpac/modules/mpegts_in/mpegts_in.c

Revision: 2414
Author: cconcolato
Date: 14:26:30, lundi 6 décembre 2010
Message:
adding log and download speed info
----
Modified : /trunk/gpac/src/terminal/network_service.c

Revision: 2413
Author: bad_sheep
Date: 12:03:54, lundi 6 décembre 2010
Message:
Fixed memory leak
----
Modified : /trunk/gpac/modules/x11_out/x11_out.c
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2412
Author: bad_sheep
Date: 11:00:00, lundi 6 décembre 2010
Message:
Fixed memory leaks
----
Modified : /trunk/gpac/modules/mpd_in/mpd_in.c
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2411
Author: bad_sheep
Date: 00:50:54, lundi 6 décembre 2010
Message:
Fixed a few of memory leaks found with valgrind
----
Modified : /trunk/gpac/include/gpac/download.h
Modified : /trunk/gpac/modules/mpd_in/mpd_in.c
Modified : /trunk/gpac/src/bifs/field_decode.c
Modified : /trunk/gpac/src/terminal/network_service.c
Modified : /trunk/gpac/src/utils/cache.c
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2410
Author: bad_sheep
Date: 15:08:44, dimanche 5 décembre 2010
Message:
Fixed compilation warning
----
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2409
Author: bad_sheep
Date: 14:55:36, dimanche 5 décembre 2010
Message:
Now works with streaming servers, not only cachable files, so it is now possible to directly m3u8 files such as http://tv.freebox.fr/iphone/france2.m3u8 for instance
----
Modified : /trunk/gpac/include/gpac/download.h
Modified : /trunk/gpac/modules/mpd_in/mpd_in.c
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2408
Author: bad_sheep
Date: 18:51:27, samedi 4 décembre 2010
Message:
Fixed possible missing variable initialization, avoid to download two times the same segment for m3u8 files...
----
Modified : /trunk/gpac/modules/mpd_in/mpd_in.c

Revision: 2407
Author: bad_sheep
Date: 12:40:14, samedi 4 décembre 2010
Message:
Fixed error when setting credentials in URL
----
Modified : /trunk/gpac/applications/mp4client/main.c
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2406
Author: bad_sheep
Date: 17:55:39, vendredi 3 décembre 2010
Message:
Now properly works at least of M3U8.

 - fix sliding window issues with M3U8 files
 - initURL is now optional for MPD files
 - when GF_NET_SERVICE_QUERY_NEXT was issued, it was locked if another download was pending.
        No longer the case except when less than two cache files are present, so it won't
        stop playing while downloading files
 - added function gf_dm_get_url_info to get information about an URL including canonial form,
        should be extended to get path information, port and so on...
 - many other fixes...

----
Modified : /trunk/gpac/include/gpac/download.h
Modified : /trunk/gpac/modules/mpd_in/m3u8.h
Modified : /trunk/gpac/modules/mpd_in/mpd.c
Modified : /trunk/gpac/modules/mpd_in/mpd_in.c
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2405
Author: enst_devs
Date: 14:34:16, vendredi 3 décembre 2010
Message:
[bouqueau] uniformize fread() use following wernam's remarks on SF for win32
----
Modified : /trunk/gpac/applications/mp42ts/main.c
Modified : /trunk/gpac/modules/rtp_in/sdp_fetch.c
Modified : /trunk/gpac/src/media_tools/media_import.c

Revision: 2404
Author: enst_devs
Date: 13:48:53, vendredi 3 décembre 2010
Message:
[bouqueau] fix win32 compil
----
Modified : /trunk/gpac/modules/mpd_in/mpd_in.c

Revision: 2403
Author: bad_sheep
Date: 08:04:58, vendredi 3 décembre 2010
Message:
Fixed UNix compilation
----
Modified : /trunk/gpac/src/utils/alloc.c

Revision: 2402
Author: bad_sheep
Date: 20:18:19, jeudi 2 décembre 2010
Message:
Workaround to avoid buggy servers such as BFM TV
----
Modified : /trunk/gpac/modules/mpd_in/mpd_in.c
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2401
Author: bad_sheep
Date: 19:26:29, jeudi 2 décembre 2010
Message:
Now updates the title of MPD file to the terminal.
----
Modified : /trunk/gpac/modules/mpd_in/m3u8.c
Modified : /trunk/gpac/modules/mpd_in/mpd_in.c

Revision: 2400
Author: enst_devs
Date: 19:07:21, jeudi 2 décembre 2010
Message:
[bouqueau] fix mp42ts output directory
----
Modified : /trunk/gpac/applications/mp42ts/mp42ts.vcproj

Revision: 2399
Author: enst_devs
Date: 18:45:13, jeudi 2 décembre 2010
Message:
[bouqueau] fix gf_asprintf() as microsoft snprintf() was not C99-compliant
----
Modified : /trunk/gpac/src/utils/alloc.c

Revision: 2398
Author: bad_sheep
Date: 17:47:10, jeudi 2 décembre 2010
Message:
When Downloader/CleanCache is set, only delete the files downloaded during the DownloadManager's lifetime
----
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2397
Author: bad_sheep
Date: 17:24:00, jeudi 2 décembre 2010
Message:
Avoid error when using more DASH segments in cache than the MPD/M3U8 has files... + fixed wrong error messages about deleting a file
----
Modified : /trunk/gpac/modules/mpd_in/mpd_in.c
Modified : /trunk/gpac/src/utils/cache.c

Revision: 2396
Author: cconcolato
Date: 15:35:24, jeudi 2 décembre 2010
Message:
changing #define name for socket errors
----
Modified : /trunk/gpac/src/utils/os_net.c

Revision: 2395
Author: bad_sheep
Date: 15:31:24, jeudi 2 décembre 2010
Message:
Fixed compilation for WIN32
----
Modified : /trunk/gpac/src/utils/os_net.c

Revision: 2394
Author: bad_sheep
Date: 14:56:07, jeudi 2 décembre 2010
Message:
VERY important commit : now have better reliability for socket connections at least under UNIX and huge speedup latency in HTTP downloads by reducing gf_sleep() everywhere
----
Modified : /trunk/gpac/src/utils/downloader.c
Modified : /trunk/gpac/src/utils/os_net.c

Revision: 2393
Author: bad_sheep
Date: 13:57:40, jeudi 2 décembre 2010
Message:
Fixed compilation warnings : variables not initialized
----
Modified : /trunk/gpac/applications/mp4box/live.c

Revision: 2392
Author: bad_sheep
Date: 13:47:45, jeudi 2 décembre 2010
Message:
Fixed compilation warnings and avoid unitialized variables
----
Modified : /trunk/gpac/applications/mp42ts/main.c

Revision: 2391
Author: bad_sheep
Date: 13:38:19, jeudi 2 décembre 2010
Message:
Fixed possible crashes (values not initialized) and fixed compilation warning of GCC with -Wall
----
Modified : /trunk/gpac/applications/mp4client/main.c
Modified : /trunk/gpac/src/compositor/mpeg4_grouping_2d.c
Modified : /trunk/gpac/src/compositor/mpeg4_sensors.c
Modified : /trunk/gpac/src/compositor/svg_filters.c
Modified : /trunk/gpac/src/isomedia/movie_fragments.c
Modified : /trunk/gpac/src/media_tools/isom_tools.c
Modified : /trunk/gpac/src/scenegraph/mpeg4_valuator.c

Revision: 2390
Author: cconcolato
Date: 13:34:31, jeudi 2 décembre 2010
Message:
added gf_sha1_file export for Visual Studio for compilation of mpd_in
----
Modified : /trunk/gpac/src/export.cpp

Revision: 2389
Author: bad_sheep
Date: 12:11:19, jeudi 2 décembre 2010
Message:
Correclty implements file reloading when needed, don't parse a M3U file that has alread been parsed
----
Modified : /trunk/gpac/modules/mpd_in/m3u8.c
Modified : /trunk/gpac/modules/mpd_in/m3u8.h
Modified : /trunk/gpac/modules/mpd_in/mpd_in.c

Revision: 2388
Author: bad_sheep
Date: 10:45:31, jeudi 2 décembre 2010
Message:
Removed ebug information
----
Modified : /trunk/gpac/modules/mpd_in/m3u8.c

Revision: 2387
Author: bad_sheep
Date: 10:42:48, jeudi 2 décembre 2010
Message:
Simplified parsing the lines, parsing will work better now
----
Modified : /trunk/gpac/modules/mpd_in/m3u8.c

Revision: 2386
Author: bad_sheep
Date: 17:29:33, mercredi 1 décembre 2010
Message:
Updated Makefile to make it work under UNIX
----
Modified : /trunk/gpac/applications/mp42ts/Makefile

Revision: 2385
Author: cconcolato
Date: 17:06:11, mercredi 1 décembre 2010
Message:
fix after bad SVN merge
----
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2384
Author: cconcolato
Date: 17:05:40, mercredi 1 décembre 2010
Message:
Fix for PCR drift detections
----
Modified : /trunk/gpac/modules/mpegts_in/mpegts_in.c

Revision: 2383
Author: cconcolato
Date: 17:05:06, mercredi 1 décembre 2010
Message:
- temporary buffer increase for M3U8 parsing (bug in long M3U8 files)
- adding support for end of playlist detection
- fix for playlist merges (init segment detection)
- added more log messages
----
Modified : /trunk/gpac/modules/mpd_in/m3u8.c
Modified : /trunk/gpac/modules/mpd_in/m3u8.h
Modified : /trunk/gpac/modules/mpd_in/mpd_in.c

Revision: 2382
Author: cconcolato
Date: 17:02:16, mercredi 1 décembre 2010
Message:
Fix for compilation with Visual (no support for variable declarations in the middle of a block)
----
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2381
Author: enst_devs
Date: 16:50:12, mercredi 1 décembre 2010
Message:
[bouqueau] fix mp42ts compil when tracking memory
----
Modified : /trunk/gpac/applications/mp42ts/main.c
Modified : /trunk/gpac/applications/mp42ts/mp42ts.vcproj

Revision: 2380
Author: enst_devs
Date: 16:41:28, mercredi 1 décembre 2010
Message:
[bouqueau]- remove osmozilla because it won't compile with latest xulrunner
- move mp42ts out of testapps
----
Modified : /trunk/gpac/applications/Makefile
Added : /trunk/gpac/applications/mp42ts (Copy from path: /trunk/gpac/applications/testapps/mp42ts, Revision, 2379)
Deleted : /trunk/gpac/applications/testapps/mp42ts
Modified : /trunk/gpac/configure

Revision: 2379
Author: enst_devs
Date: 15:48:16, mercredi 1 décembre 2010
Message:
[bouqueau] update xulrunner detection on ubuntu 10.04
----
Modified : /trunk/gpac/configure

Revision: 2378
Author: enst_devs
Date: 13:34:48, mercredi 1 décembre 2010
Message:
[bouqueau] fix crash with http streaming output for mp42ts
----
Modified : /trunk/gpac/applications/mp4box/main.c
Modified : /trunk/gpac/applications/testapps/mp42ts/main.c
Modified : /trunk/gpac/src/media_tools/m2ts_mux.c

Revision: 2377
Author: enst_devs
Date: 13:15:47, mercredi 1 décembre 2010
Message:
[bouqueau] fix allocations + warnings
----
Modified : /trunk/gpac/applications/mp4client/main.c
Modified : /trunk/gpac/applications/testapps/mp42ts/main.c
Modified : /trunk/gpac/include/gpac/cache.h
Modified : /trunk/gpac/modules/ac3_in/ac3_in.c
Modified : /trunk/gpac/modules/ffmpeg_in/ffmpeg_demux.c
Modified : /trunk/gpac/modules/gpac_js/gpac_js.c
Modified : /trunk/gpac/modules/mpd_in/m3u8.c
Modified : /trunk/gpac/modules/mpd_in/mpd.c
Modified : /trunk/gpac/modules/mpd_in/mpd_in.c
Modified : /trunk/gpac/modules/ui_rec/ui_rec.c
Modified : /trunk/gpac/src/compositor/events.c
Modified : /trunk/gpac/src/compositor/svg_filters.c
Modified : /trunk/gpac/src/scene_manager/loader_xmt.c
Modified : /trunk/gpac/src/scenegraph/svg_attributes.c
Modified : /trunk/gpac/src/scenegraph/vrml_smjs.c
Modified : /trunk/gpac/src/utils/cache.c
Modified : /trunk/gpac/src/utils/downloader.c
Modified : /trunk/gpac/src/utils/url.c

Revision: 2376
Author: bad_sheep
Date: 17:29:11, mardi 30 novembre 2010
Message:
Fixed compilation warnings under GCC 64 bits
----
Modified : /trunk/gpac/src/scenegraph/base_scenegraph.c

Revision: 2375
Author: bad_sheep
Date: 17:23:07, mardi 30 novembre 2010
Message:
Fixed compilation warnings under GCC 64 bits
----
Modified : /trunk/gpac/include/gpac/internal/odf_parse_common.h
Modified : /trunk/gpac/include/gpac/setup.h
Modified : /trunk/gpac/modules/timedtext/timedtext_in.c
Modified : /trunk/gpac/src/media_tools/media_export.c
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2374
Author: bad_sheep
Date: 14:27:39, mardi 30 novembre 2010
Message:
souchay - Huge commit : fix almost all compilation warnings for GCC 4.4.5 with -Wall, should ease dead code removal and trivial fixes, most of the fixes are scanf/printf related (ie: %d instead of %u)
----
Modified : /trunk/gpac/applications/mp4box/fileimport.c
Modified : /trunk/gpac/applications/mp4box/live.c
Modified : /trunk/gpac/applications/mp4box/main.c
Modified : /trunk/gpac/applications/mp4client/main.c
Modified : /trunk/gpac/include/gpac/internal/ietf_dev.h
Added : /trunk/gpac/include/gpac/internal/odf_parse_common.h
Modified : /trunk/gpac/modules/ffmpeg_in/ffmpeg_demux.c
Modified : /trunk/gpac/modules/isom_in/read.c
Modified : /trunk/gpac/modules/ogg/ogg_in.c
Modified : /trunk/gpac/modules/rtp_in/rtp_stream.c
Modified : /trunk/gpac/src/compositor/audio_input.c
Modified : /trunk/gpac/src/compositor/audio_render.c
Modified : /trunk/gpac/src/ietf/rtp_depacketizer.c
Modified : /trunk/gpac/src/ietf/rtsp_command.c
Modified : /trunk/gpac/src/ietf/rtsp_common.c
Modified : /trunk/gpac/src/ietf/rtsp_response.c
Modified : /trunk/gpac/src/ietf/sdp.c
Modified : /trunk/gpac/src/media_tools/dvb_mpe.c
Modified : /trunk/gpac/src/media_tools/filestreamer.c
Modified : /trunk/gpac/src/media_tools/ismacryp.c
Modified : /trunk/gpac/src/media_tools/isom_tools.c
Modified : /trunk/gpac/src/media_tools/m2ts_mux.c
Modified : /trunk/gpac/src/media_tools/media_export.c
Modified : /trunk/gpac/src/media_tools/media_import.c
Modified : /trunk/gpac/src/media_tools/text_import.c
Modified : /trunk/gpac/src/odf/ipmpx_parse.c
Modified : /trunk/gpac/src/odf/odf_parse.c
Modified : /trunk/gpac/src/scene_manager/loader_bt.c
Modified : /trunk/gpac/src/scene_manager/scene_dump.c
Modified : /trunk/gpac/src/scene_manager/scene_engine.c
Modified : /trunk/gpac/src/scene_manager/text_to_bifs.c
Modified : /trunk/gpac/src/scenegraph/vrml_proto.c
Modified : /trunk/gpac/src/scenegraph/vrml_route.c
Modified : /trunk/gpac/src/scenegraph/vrml_smjs.c
Modified : /trunk/gpac/src/terminal/channel.c
Modified : /trunk/gpac/src/terminal/media_object.c

Revision: 2373
Author: bad_sheep
Date: 12:16:54, mardi 30 novembre 2010
Message:
Fixed various compilation warnings with GCC
----
Modified : /trunk/gpac/applications/mp4client/main.c
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2372
Author: bad_sheep
Date: 12:12:18, mardi 30 novembre 2010
Message:
fixed compilation warnings
----
Modified : /trunk/gpac/src/scenegraph/svg_attributes.c
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2371
Author: bad_sheep
Date: 12:09:27, mardi 30 novembre 2010
Message:
Now can directly read streams from VLC such as http://tv.freebox.fr/stream_france2 for instance
----
Modified : /trunk/gpac/include/gpac/download.h
Modified : /trunk/gpac/modules/mpd_in/mpd_in.c
Modified : /trunk/gpac/modules/mpegts_in/mpegts_in.c
Modified : /trunk/gpac/src/terminal/network_service.c
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2370
Author: enst_devs
Date: 10:47:58, mardi 30 novembre 2010
Message:
Add additional key events for STB [daud]
----
Modified : /trunk/gpac/src/scenegraph/svg_attributes.c

Revision: 2369
Author: enst_devs
Date: 10:47:21, mardi 30 novembre 2010
Message:
Add case for BGRA color scheme to solve conflicts for STB [daud]
----
Modified : /trunk/gpac/src/compositor/compositor_2d.c

Revision: 2368
Author: enst_devs
Date: 10:46:14, mardi 30 novembre 2010
Message:
Add additional key events for STB [daud]
----
Modified : /trunk/gpac/include/gpac/events.h

Revision: 2367
Author: enst_devs
Date: 10:45:40, mardi 30 novembre 2010
Message:
Add GF_PIXEL_BGRA to solve conlor conflict in STB [daud]
----
Modified : /trunk/gpac/include/gpac/constants.h

Revision: 2366
Author: enst_devs
Date: 10:42:49, mardi 30 novembre 2010
Message:
DirectFB modules updated [daud]
----
Modified : /trunk/gpac/modules/directfb_out/Makefile
Modified : /trunk/gpac/modules/directfb_out/directfb_out.c
Modified : /trunk/gpac/modules/directfb_out/directfb_out.h

Revision: 2365
Author: jeanlf
Date: 09:49:16, lundi 29 novembre 2010
Message:
Added missing exported symbols
----
Modified : /trunk/gpac/src/export.cpp

Revision: 2364
Author: jeanlf
Date: 09:47:15, lundi 29 novembre 2010
Message:
Fixed compilation under win32
----
Modified : /trunk/gpac/modules/mpd_in/mpd_in.c

Revision: 2363
Author: jeanlf
Date: 09:47:03, lundi 29 novembre 2010
Message:
Fixed compilation under win32
----
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2362
Author: jeanlf
Date: 09:46:46, lundi 29 novembre 2010
Message:
Fixed compilation under CE and Win32
----
Modified : /trunk/gpac/src/utils/os_divers.c

Revision: 2361
Author: jeanlf
Date: 09:46:21, lundi 29 novembre 2010
Message:
Fixed iTunes tag semantics and added warning when dumping META if no box found
----
Modified : /trunk/gpac/applications/mp4box/filedump.c
Modified : /trunk/gpac/applications/mp4box/main.c
Modified : /trunk/gpac/include/gpac/isomedia.h

Revision: 2360
Author: bad_sheep
Date: 01:29:12, lundi 29 novembre 2010
Message:
Fixed compilation warnings under GCC
----
Modified : /trunk/gpac/applications/testapps/mp42ts/main.c

Revision: 2359
Author: bad_sheep
Date: 01:20:27, lundi 29 novembre 2010
Message:
Fixed a few compilation warning, use %ud instead of %d where appropriate for scanf
----
Modified : /trunk/gpac/src/scene_manager/loader_bt.c
Modified : /trunk/gpac/src/scene_manager/loader_xmt.c

Revision: 2358
Author: bad_sheep
Date: 01:12:06, lundi 29 novembre 2010
Message:
Code reformat + all mime types are now declared once in the file
----
Modified : /trunk/gpac/modules/mpd_in/mpd_in.c

Revision: 2357
Author: bad_sheep
Date: 00:32:29, lundi 29 novembre 2010
Message:
Memory leak fixed + fixed documentation + code reformating
----
Modified : /trunk/gpac/include/gpac/cache.h
Modified : /trunk/gpac/include/gpac/download.h
Modified : /trunk/gpac/modules/mpd_in/mpd_in.c
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2356
Author: bad_sheep
Date: 20:43:16, samedi 27 novembre 2010
Message:
Fix download of M3U8 file when network is not reachable for a few seconds...
----
Modified : /trunk/gpac/modules/mpd_in/mpd_in.c

Revision: 2355
Author: bad_sheep
Date: 20:24:55, samedi 27 novembre 2010
Message:
Now has correct mime-type even when data is coming from cache
----
Modified : /trunk/gpac/modules/mpd_in/mpd_in.c

Revision: 2354
Author: bad_sheep
Date: 19:53:25, samedi 27 novembre 2010
Message:
Be sure to remove the correct cache files / now try to download the files a second time if network connection fails
----
Modified : /trunk/gpac/modules/mpd_in/Makefile
Modified : /trunk/gpac/modules/mpd_in/mpd_in.c
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2353
Author: bad_sheep
Date: 18:09:15, samedi 27 novembre 2010
Message:
Code cleanups
----
Modified : /trunk/gpac/include/gpac/download.h
Modified : /trunk/gpac/modules/mpd_in/mpd_in.c
Modified : /trunk/gpac/src/utils/cache.c
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2352
Author: bad_sheep
Date: 19:31:53, vendredi 26 novembre 2010
Message:
Made autodeletion work properly
----
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2351
Author: bad_sheep
Date: 19:19:11, vendredi 26 novembre 2010
Message:
Made autodeletion work properly
----
Modified : /trunk/gpac/include/gpac/cache.h
Modified : /trunk/gpac/src/utils/cache.c
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2350
Author: bad_sheep
Date: 18:47:23, vendredi 26 novembre 2010
Message:
Now implemented deletion of cached files while reading...
----
Modified : /trunk/gpac/include/gpac/cache.h
Modified : /trunk/gpac/include/gpac/config_file.h
Modified : /trunk/gpac/include/gpac/download.h
Modified : /trunk/gpac/include/gpac/list.h
Modified : /trunk/gpac/modules/mpd_in/mpd_in.c
Modified : /trunk/gpac/src/utils/cache.c
Modified : /trunk/gpac/src/utils/configfile.c
Modified : /trunk/gpac/src/utils/downloader.c
Modified : /trunk/gpac/src/utils/list.c

Revision: 2349
Author: bad_sheep
Date: 16:41:40, vendredi 26 novembre 2010
Message:
Thread safe / now cleans up cache at start/end when option Downloader/CleanCache=yesis set in gpacrc file
----
Modified : /trunk/gpac/include/gpac/cache.h
Modified : /trunk/gpac/src/utils/cache.c
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2348
Author: bad_sheep
Date: 16:39:55, vendredi 26 novembre 2010
Message:
Added debug info in mutexes for POSIX when it fails
----
Modified : /trunk/gpac/src/utils/os_thread.c

Revision: 2347
Author: bad_sheep
Date: 14:30:42, vendredi 26 novembre 2010
Message:
Now cleans up the cache at startup, now cached entries should be thread safe + added error code to function gf_delete_file()
----
Modified : /trunk/gpac/include/gpac/cache.h
Modified : /trunk/gpac/include/gpac/tools.h
Modified : /trunk/gpac/src/utils/cache.c
Modified : /trunk/gpac/src/utils/downloader.c
Modified : /trunk/gpac/src/utils/os_divers.c

Revision: 2346
Author: enst_devs
Date: 11:13:38, vendredi 26 novembre 2010
Message:
[dufourd] debug cleanup and name change to avoid a potential conflict
----
Modified : /trunk/gpac/gui/iphone_wm_gui.js

Revision: 2345
Author: bad_sheep
Date: 11:12:41, vendredi 26 novembre 2010
Message:
Added mpd_in to plugins
----
Modified : /trunk/gpac/modules/Makefile

Revision: 2344
Author: bad_sheep
Date: 11:11:07, vendredi 26 novembre 2010
Message:
Fixed possible memory corruption (at least under Linux 32bits), use memmove instead of memcpy
----
Modified : /trunk/gpac/modules/mpd_in/m3u8.c

Revision: 2343
Author: enst_devs
Date: 11:01:41, vendredi 26 novembre 2010
Message:
[dufourd] yet another small fix
----
Modified : /trunk/gpac/gui/iphone_wm_gui.js

Revision: 2342
Author: enst_devs
Date: 18:36:40, jeudi 25 novembre 2010
Message:
small fix
----
Modified : /trunk/gpac/gui/iphone_wm_gui.js

Revision: 2341
Author: enst_devs
Date: 18:33:13, jeudi 25 novembre 2010
Message:
[dufourd] remove var on global vars so that they are not gc-ed
----
Modified : /trunk/gpac/gui/iphone_wm_gui.js

Revision: 2340
Author: jeanlf
Date: 18:18:01, jeudi 25 novembre 2010
Message:
Renamed GPAC events
----
Modified : /trunk/gpac/modules/gpac_js/gpac_js.c

Revision: 2339
Author: jeanlf
Date: 18:03:59, jeudi 25 novembre 2010
Message:
Fixed no cache bug
----
Modified : /trunk/gpac/src/utils/cache.c

Revision: 2338
Author: jeanlf
Date: 18:02:35, jeudi 25 novembre 2010
Message:

----
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2337
Author: jeanlf
Date: 16:29:15, jeudi 25 novembre 2010
Message:
fixed wince compilation bugs
----
Modified : /trunk/gpac/modules/dx_hw/dx_window.c

Revision: 2336
Author: jeanlf
Date: 16:28:50, jeudi 25 novembre 2010
Message:
fixed scanning of url starting with \\
----
Modified : /trunk/gpac/modules/dummy_in/dummy_in.c

Revision: 2335
Author: jeanlf
Date: 16:28:16, jeudi 25 novembre 2010
Message:
fixed compilation error
----
Modified : /trunk/gpac/modules/aac_in/aac_in.c

Revision: 2334
Author: jeanlf
Date: 16:28:03, jeudi 25 novembre 2010
Message:
new functions exported
----
Modified : /trunk/gpac/src/export.cpp

Revision: 2333
Author: jeanlf
Date: 16:27:49, jeudi 25 novembre 2010
Message:
new functions
----
Modified : /trunk/gpac/modules/gpac_js/gpac_js.c

Revision: 2332
Author: jeanlf
Date: 16:27:34, jeudi 25 novembre 2010
Message:
removed clean cache (handled by cache)
----
Modified : /trunk/gpac/modules/mpd_in/mpd_in.c

Revision: 2331
Author: jeanlf
Date: 16:26:55, jeudi 25 novembre 2010
Message:
Allow firing events on nodes using a subscene even if subscene is not loaded yet
----
Modified : /trunk/gpac/src/terminal/scene.c

Revision: 2330
Author: jeanlf
Date: 16:25:57, jeudi 25 novembre 2010
Message:
Fixed deadlock between media queue and network
----
Modified : /trunk/gpac/src/terminal/terminal.c

Revision: 2329
Author: jeanlf
Date: 16:25:43, jeudi 25 novembre 2010
Message:
added gpac:// url scheme to skip url concatenation
----
Modified : /trunk/gpac/src/terminal/network_service.c

Revision: 2328
Author: jeanlf
Date: 16:25:11, jeudi 25 novembre 2010
Message:
Fixed deadlock between media queue and network, and crash when destroying InputSensor
----
Modified : /trunk/gpac/src/terminal/object_manager.c

Revision: 2327
Author: jeanlf
Date: 16:24:32, jeudi 25 novembre 2010
Message:
Fixed bugs with inline scene
----
Modified : /trunk/gpac/src/terminal/media_sensor.c

Revision: 2326
Author: jeanlf
Date: 16:24:08, jeudi 25 novembre 2010
Message:
Fixed deadlock between media queue and network
----
Modified : /trunk/gpac/src/terminal/mpeg4_inline.c

Revision: 2325
Author: jeanlf
Date: 16:23:18, jeudi 25 novembre 2010
Message:
commented MM_SimulationStep logs
----
Modified : /trunk/gpac/src/terminal/media_manager.c

Revision: 2324
Author: jeanlf
Date: 16:22:46, jeudi 25 novembre 2010
Message:
Fixed deadlock on media queue and network
----
Modified : /trunk/gpac/include/gpac/internal/terminal_dev.h
Modified : /trunk/gpac/src/terminal/media_object.c

Revision: 2323
Author: jeanlf
Date: 16:22:02, jeudi 25 novembre 2010
Message:
Fixed crash upon URL switching
----
Modified : /trunk/gpac/src/terminal/media_control.c

Revision: 2322
Author: jeanlf
Date: 16:21:21, jeudi 25 novembre 2010
Message:
fixed memory overread
----
Modified : /trunk/gpac/src/utils/path2d.c

Revision: 2321
Author: jeanlf
Date: 16:21:02, jeudi 25 novembre 2010
Message:
Fixed bug in Unregister
----
Modified : /trunk/gpac/src/terminal/input_sensor.c

Revision: 2320
Author: jeanlf
Date: 16:20:38, jeudi 25 novembre 2010
Message:
Changed gf_node_dirty_reset
----
Modified : /trunk/gpac/src/scene_manager/scene_engine.c

Revision: 2319
Author: jeanlf
Date: 16:20:17, jeudi 25 novembre 2010
Message:
fixed memory overread
----
Modified : /trunk/gpac/src/scene_manager/loader_bt.c

Revision: 2318
Author: jeanlf
Date: 16:19:58, jeudi 25 novembre 2010
Message:
Changed gf_node_dirty_reset
----
Modified : /trunk/gpac/src/compositor/visual_manager.c
Modified : /trunk/gpac/src/compositor/visual_manager_3d.c

Revision: 2317
Author: jeanlf
Date: 16:19:19, jeudi 25 novembre 2010
Message:
Qdded sethod to retrieve sub scene graph of <animation>
----
Modified : /trunk/gpac/src/compositor/svg_grouping.c

Revision: 2316
Author: jeanlf
Date: 16:18:36, jeudi 25 novembre 2010
Message:
Fixed bugs in composite textures picking and rendering
----
Modified : /trunk/gpac/src/compositor/texturing.h
Modified : /trunk/gpac/src/compositor/texturing_gl.c

Revision: 2315
Author: jeanlf
Date: 16:18:11, jeudi 25 novembre 2010
Message:
Fixed allocqtion
----
Modified : /trunk/gpac/src/compositor/drawable.c

Revision: 2314
Author: jeanlf
Date: 16:17:14, jeudi 25 novembre 2010
Message:
Fixed scene size notification bug on xmt
----
Modified : /trunk/gpac/modules/ctx_load/ctx_load.c

Revision: 2313
Author: jeanlf
Date: 16:16:40, jeudi 25 novembre 2010
Message:
Changed event listeners to include consumed state
----
Modified : /trunk/gpac/modules/platinum/GPACPlatinum.cpp
Modified : /trunk/gpac/modules/redirect_av/redirect_av.c
Modified : /trunk/gpac/modules/ui_rec/ui_rec.c

Revision: 2312
Author: jeanlf
Date: 16:15:49, jeudi 25 novembre 2010
Message:
Improvements on text editing
----
Modified : /trunk/gpac/include/gpac/internal/compositor_dev.h
Modified : /trunk/gpac/src/compositor/compositor.c
Modified : /trunk/gpac/src/compositor/events.c
Modified : /trunk/gpac/src/compositor/font_engine.c

Revision: 2311
Author: jeanlf
Date: 15:56:41, jeudi 25 novembre 2010
Message:
Fixed bugs in composite textures picking and rendering
----
Modified : /trunk/gpac/src/compositor/mpeg4_background2d.c
Modified : /trunk/gpac/src/compositor/mpeg4_composite.c
Modified : /trunk/gpac/src/compositor/mpeg4_layer_2d.c
Modified : /trunk/gpac/src/compositor/mpeg4_layout.c
Modified : /trunk/gpac/src/compositor/mpeg4_sensors.c
Modified : /trunk/gpac/src/compositor/mpeg4_text.c

Revision: 2310
Author: jeanlf
Date: 15:55:54, jeudi 25 novembre 2010
Message:
Fixed potential crashes and added configuration file deletion
----
Modified : /trunk/gpac/include/gpac/config_file.h
Modified : /trunk/gpac/src/utils/configfile.c

Revision: 2309
Author: jeanlf
Date: 15:54:55, jeudi 25 novembre 2010
Message:
Fixes in multithreading and javascript/DOM Events
----
Modified : /trunk/gpac/include/gpac/internal/scenegraph_dev.h

Revision: 2308
Author: jeanlf
Date: 15:54:34, jeudi 25 novembre 2010
Message:
Fixes in multithreading and javascript/DOM Events
----
Modified : /trunk/gpac/include/gpac/scenegraph.h

Revision: 2307
Author: jeanlf
Date: 15:54:16, jeudi 25 novembre 2010
Message:
Fixes in multithreading and javascript/DOM Events
----
Modified : /trunk/gpac/src/scenegraph/base_scenegraph.c
Modified : /trunk/gpac/src/scenegraph/dom_events.c
Modified : /trunk/gpac/src/scenegraph/dom_smjs.c
Modified : /trunk/gpac/src/scenegraph/vrml_smjs.c

Revision: 2306
Author: jeanlf
Date: 15:53:15, jeudi 25 novembre 2010
Message:
Fixed issue with no caching in file download file
----
Modified : /trunk/gpac/src/utils/cache.c
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2305
Author: jeanlf
Date: 08:03:24, jeudi 25 novembre 2010
Message:
Fixed compilation with new cache version
----
Modified : /trunk/gpac/modules/widgetman/widgetman.c

Revision: 2304
Author: bad_sheep
Date: 23:10:49, mercredi 24 novembre 2010
Message:
Removed C99 compilation warnings and missing include on POSIX systems
----
Modified : /trunk/gpac/modules/widgetman/unzip.c

Revision: 2303
Author: bad_sheep
Date: 22:35:08, mercredi 24 novembre 2010
Message:
Removed compilation warnings and missing include
----
Modified : /trunk/gpac/modules/x11_out/x11_out.c

Revision: 2302
Author: bad_sheep
Date: 22:19:17, mercredi 24 novembre 2010
Message:
Fixed ES_ID displays and scans to used unsigned instead of signed (avoid compilation warnings
----
Modified : /trunk/gpac/applications/v4studio/V4Service.cpp
Modified : /trunk/gpac/modules/aac_in/aac_in.c
Modified : /trunk/gpac/modules/ac3_in/ac3_in.c
Modified : /trunk/gpac/modules/dummy_in/dummy_in.c
Modified : /trunk/gpac/modules/img_in/img_in.c
Modified : /trunk/gpac/modules/isom_in/read.c
Modified : /trunk/gpac/modules/mp3_in/mp3_in.c
Modified : /trunk/gpac/modules/rtp_in/rtp_in.c
Modified : /trunk/gpac/modules/timedtext/timedtext_in.c
Modified : /trunk/gpac/src/terminal/object_manager.c

Revision: 2301
Author: bad_sheep
Date: 21:46:36, mercredi 24 novembre 2010
Message:
Fixed various compile warnings
----
Modified : /trunk/gpac/src/isomedia/data_map.c
Modified : /trunk/gpac/src/isomedia/isom_read.c
Modified : /trunk/gpac/src/terminal/decoder.c
Modified : /trunk/gpac/src/terminal/object_manager.c
Modified : /trunk/gpac/src/utils/os_divers.c

Revision: 2300
Author: bad_sheep
Date: 18:59:48, mercredi 24 novembre 2010
Message:
Removed compilation warning
----
Modified : /trunk/gpac/src/utils/cache.c

Revision: 2299
Author: enst_devs
Date: 17:06:25, mercredi 24 novembre 2010
Message:
[bouqueau] align mp42ts with recent changes on http downloading/caching
+ align arg parsing and usage
+ vc projs
+ _snprintf for win32
----
Modified : /trunk/gpac/applications/testapps/mp42ts/main.c
Modified : /trunk/gpac/build/msvc8/libgpac.vcproj
Modified : /trunk/gpac/build/msvc8/libgpac_dll.vcproj
Modified : /trunk/gpac/build/msvc9/libgpac.vcproj
Modified : /trunk/gpac/include/gpac/setup.h
Modified : /trunk/gpac/modules/aac_in/aac_in.c

Revision: 2298
Author: bad_sheep
Date: 16:13:00, mercredi 24 novembre 2010
Message:
Fixed possible issues with extensions findings...
----
Modified : /trunk/gpac/src/utils/cache.c

Revision: 2297
Author: bad_sheep
Date: 16:07:16, mercredi 24 novembre 2010
Message:
Use default Fonts directory under MacOS X
----
Modified : /trunk/gpac/applications/mp4client/main.c

Revision: 2296
Author: bad_sheep
Date: 16:04:43, mercredi 24 novembre 2010
Message:
Fixed possible issues with extensions findings...
----
Modified : /trunk/gpac/src/utils/cache.c
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2295
Author: enst_devs
Date: 15:44:38, mercredi 24 novembre 2010
Message:
[bouqueau] fix win32 compilation
----
Modified : /trunk/gpac/src/export.cpp
Modified : /trunk/gpac/src/utils/cache.c
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2294
Author: bad_sheep
Date: 12:30:39, mercredi 24 novembre 2010
Message:
Removed compilation warnings under MacOS
----
Modified : /trunk/gpac/include/gpac/download.h
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2293
Author: enst_devs
Date: 11:43:49, mercredi 24 novembre 2010
Message:
[bouqueau] add features to mp42ts:
1) possibility to signal PES streams as not SL-packetized by setting "ODProfileLevelIndication" to value "GPAC_MAGIC_OD_PROFILE_FOR_MPEG4_SIGNALING";
2) ADTS encapsulation for AAC with the MPEG2-TS muxer.
----
Modified : /trunk/gpac/applications/testapps/mp42ts/main.c
Modified : /trunk/gpac/include/gpac/mpegts.h
Modified : /trunk/gpac/modules/mpegts_in/mpegts_in.c
Modified : /trunk/gpac/src/media_tools/m2ts_mux.c

Revision: 2292
Author: bad_sheep
Date: 11:38:16, mercredi 24 novembre 2010
Message:
Fixed crash due to wrong inlining in raster_argb.c and fixed debug messages in pulse audio
----
Modified : /trunk/gpac/modules/pulseaudio/pulseaudio.c
Modified : /trunk/gpac/modules/soft_raster/raster_argb.c

Revision: 2291
Author: bad_sheep
Date: 10:22:12, mercredi 24 novembre 2010
Message:
First version of new cache implementation, still needs to add some mutexes for multithreading
----
Added : /trunk/gpac/include/gpac/cache.h
Modified : /trunk/gpac/include/gpac/download.h
Modified : /trunk/gpac/src/Makefile
Modified : /trunk/gpac/src/terminal/network_service.c
Added : /trunk/gpac/src/utils/cache.c
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2290
Author: bad_sheep
Date: 09:56:40, mercredi 24 novembre 2010
Message:
Added some svn:ignore
----
Modified : /trunk/gpac
Modified : /trunk/gpac/include/gpac

Revision: 2289
Author: enst_devs
Date: 09:21:41, mercredi 24 novembre 2010
Message:
[bouqueau] fix mp42ts version increment bug
----
Modified : /trunk/gpac/applications/testapps/mp42ts/main.c

Revision: 2288
Author: enst_devs
Date: 10:47:19, mardi 23 novembre 2010
Message:
[bouqueau] aac/http input for mp42ts
----
Modified : /trunk/gpac/applications/testapps/mp42ts/main.c
Modified : /trunk/gpac/include/gpac/download.h
Modified : /trunk/gpac/include/gpac/mpegts.h
Modified : /trunk/gpac/modules/aac_in/aac_in.c
Modified : /trunk/gpac/src/export.cpp
Modified : /trunk/gpac/src/media_tools/m2ts_mux.c
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2287
Author: bad_sheep
Date: 17:34:51, lundi 22 novembre 2010
Message:
Check size of read for sdp_fetch
----
Modified : /trunk/gpac/modules/rtp_in/sdp_fetch.c

Revision: 2286
Author: bad_sheep
Date: 16:50:11, lundi 22 novembre 2010
Message:
Fixed possible crash
----
Modified : /trunk/gpac/modules/soft_raster/surface.c

Revision: 2285
Author: bad_sheep
Date: 14:45:46, lundi 22 novembre 2010
Message:
Removed unused variable
----
Modified : /trunk/gpac/modules/aac_in/aac_in.c

Revision: 2284
Author: bad_sheep
Date: 14:44:11, lundi 22 novembre 2010
Message:
Arguments where not sent to asprintf to not Win32 plateforms
----
Modified : /trunk/gpac/src/utils/alloc.c

Revision: 2283
Author: bad_sheep
Date: 14:39:10, lundi 22 novembre 2010
Message:
Fixed possible crash on complicated SVG files
----
Modified : /trunk/gpac/src/scenegraph/xml_ns.c
Modified : /trunk/gpac/src/utils/xml_parser.c

Revision: 2282
Author: bad_sheep
Date: 14:36:11, lundi 22 novembre 2010
Message:
Removed unused variable
----
Modified : /trunk/gpac/src/media_tools/mpegts.c

Revision: 2281
Author: bad_sheep
Date: 14:35:08, lundi 22 novembre 2010
Message:
Avoid to close stream with an error when reaching GF_EOS
----
Modified : /trunk/gpac/modules/mpegts_in/mpegts_in.c

Revision: 2280
Author: bad_sheep
Date: 14:31:58, lundi 22 novembre 2010
Message:
Fixed wrong number of arguments for fprintf
----
Modified : /trunk/gpac/applications/mp4box/main.c

Revision: 2279
Author: bad_sheep
Date: 14:29:29, lundi 22 novembre 2010
Message:
Fixed compilation warnings and made the authorization mechanism work
----
Modified : /trunk/gpac/src/terminal/terminal.c

Revision: 2278
Author: bad_sheep
Date: 14:26:08, lundi 22 novembre 2010
Message:
Uses new function gf_get_default_cache_directory() to fetch default download directory
----
Modified : /trunk/gpac/applications/mp4client/main.c

Revision: 2277
Author: bad_sheep
Date: 14:23:16, lundi 22 novembre 2010
Message:
Added method to create a config file even if the file does not exist
----
Modified : /trunk/gpac/include/gpac/config_file.h
Modified : /trunk/gpac/src/utils/configfile.c

Revision: 2276
Author: bad_sheep
Date: 14:19:44, lundi 22 novembre 2010
Message:
Added method to get the default cache directory if not set
----
Modified : /trunk/gpac/include/gpac/tools.h
Modified : /trunk/gpac/src/utils/os_divers.c

Revision: 2275
Author: bad_sheep
Date: 14:17:25, lundi 22 novembre 2010
Message:
Fixed pedantic compilation
----
Modified : /trunk/gpac/modules/pulseaudio/pulseaudio.c

Revision: 2274
Author: bad_sheep
Date: 10:44:21, lundi 22 novembre 2010
Message:
sometimes, SDL was leaking Audio out descriptor that could lead on some systems to have no sound (for instance, Linux + SDL + pulseaudio)
----
Modified : /trunk/gpac/modules/sdl_out/audio.c

Revision: 2273
Author: bad_sheep
Date: 10:14:03, lundi 22 novembre 2010
Message:
sometimes, SDL was leaking Audio out descriptor that could lead on some systems to have no sound (for instance, Linux + SDL + pulseaudio)
----
Modified : /trunk/gpac/modules/sdl_out/audio.c

Revision: 2272
Author: cconcolato
Date: 17:26:31, vendredi 19 novembre 2010
Message:
exporting simple download function
----
Modified : /trunk/gpac/src/export.cpp

Revision: 2271
Author: cconcolato
Date: 17:12:58, vendredi 19 novembre 2010
Message:
Tentative reuse of code within mp42ts
----
Modified : /trunk/gpac/modules/aac_in/aac_in.c

Revision: 2270
Author: bad_sheep
Date: 16:40:29, vendredi 19 novembre 2010
Message:
Removed debug info bla
----
Modified : /trunk/gpac/modules/ffmpeg_in/ffmpeg_decode.c

Revision: 2269
Author: bad_sheep
Date: 16:33:07, vendredi 19 novembre 2010
Message:
Fixed possible double free
----
Modified : /trunk/gpac/src/terminal/decoder.c

Revision: 2268
Author: enst_devs
Date: 16:21:36, vendredi 19 novembre 2010
Message:
[bouqueau] save work on raw udp mp3 live input
----
Modified : /trunk/gpac/applications/testapps/mp42ts/main.c

Revision: 2267
Author: bad_sheep
Date: 16:10:47, vendredi 19 novembre 2010
Message:
Fixed possible double free
----
Modified : /trunk/gpac/src/terminal/decoder.c
Modified : /trunk/gpac/src/terminal/media_memory.c

Revision: 2266
Author: bad_sheep
Date: 15:01:33, vendredi 19 novembre 2010
Message:
Fixed possible double free
----
Modified : /trunk/gpac/src/terminal/media_memory.c

Revision: 2265
Author: bad_sheep
Date: 12:24:11, vendredi 19 novembre 2010
Message:
Fix in os_net.c : on Linux, when select is successfull but read returns 0, it means connection has been closed... to test under Windows
----
Modified : /trunk/gpac/src/utils/os_net.c

Revision: 2264
Author: enst_devs
Date: 09:31:16, vendredi 19 novembre 2010
Message:
[bouqueau] fix buffer resources managment when playing content within a scene (previously based on parent scene instead of subscene)
----
Modified : /trunk/gpac/src/terminal/network_service.c

Revision: 2263
Author: bad_sheep
Date: 18:39:33, jeudi 18 novembre 2010
Message:
Fixed name QueryInterface into QueryInterfaces for pulseaudio module, so it works now, removed debug info
----
Modified : /trunk/gpac/modules/pulseaudio/pulseaudio.c

Revision: 2262
Author: bad_sheep
Date: 18:36:06, jeudi 18 novembre 2010
Message:
Fixed name QueryInterface into QueryInterfaces for pulseaudio module, so it works now
----
Modified : /trunk/gpac/modules/pulseaudio/pulseaudio.c

Revision: 2261
Author: bad_sheep
Date: 17:48:29, jeudi 18 novembre 2010
Message:
Implemented basic auth in Osmo4
----
Modified : /trunk/gpac/applications/osmo4_wx/wxOsmo4.cpp

Revision: 2260
Author: bad_sheep
Date: 17:09:03, jeudi 18 novembre 2010
Message:
Implemented basic auth in MP4Client
----
Modified : /trunk/gpac/applications/mp4client/main.c

Revision: 2259
Author: bad_sheep
Date: 17:07:47, jeudi 18 novembre 2010
Message:
Implemented basic auth in Osmo4
----
Modified : /trunk/gpac/applications/osmo4_wx/wxOsmo4.cpp

Revision: 2258
Author: jeanlf
Date: 12:09:17, jeudi 18 novembre 2010
Message:
Fixed bgr32 blit
----
Modified : /trunk/gpac/src/utils/color.c

Revision: 2257
Author: jeanlf
Date: 17:42:58, mercredi 17 novembre 2010
Message:
Fixed BGR32 fill from stencil (gradient, texture) v2
----
Modified : /trunk/gpac/modules/soft_raster/raster_argb.c

Revision: 2256
Author: jeanlf
Date: 17:27:30, mercredi 17 novembre 2010
Message:
Fixed BGR32 fill from stencil (gradient, texture)
----
Modified : /trunk/gpac/modules/soft_raster/raster_argb.c

Revision: 2255
Author: jeanlf
Date: 17:14:45, mercredi 17 novembre 2010
Message:
Fixed external script file loading
----
Modified : /trunk/gpac/src/scenegraph/vrml_smjs.c

Revision: 2254
Author: jeanlf
Date: 16:29:48, mercredi 17 novembre 2010
Message:
Fixed component migration
----
Modified : /trunk/gpac/gui/gui.bt
Modified : /trunk/gpac/gui/gui.js
Modified : /trunk/gpac/gui/mpegu-core.js

Revision: 2253
Author: jeanlf
Date: 16:28:13, mercredi 17 novembre 2010
Message:
Fixed get_context on non-activated components
----
Modified : /trunk/gpac/modules/widgetman/widgetman.c

Revision: 2252
Author: jeanlf
Date: 14:11:27, mercredi 17 novembre 2010
Message:
Fixed compilation for smartphone 2003
----
Modified : /trunk/gpac/src/utils/alloc.c

Revision: 2251
Author: enst_devs
Date: 14:09:36, mercredi 17 novembre 2010
Message:
[lefeuvre] fix local (vs server) url name on unix for bifs cache_texture
----
Modified : /trunk/gpac/src/bifs/field_decode.c
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2250
Author: jeanlf
Date: 13:27:23, mercredi 17 novembre 2010
Message:
Fixed bug when context cannot be properly restored from remote source, consider the widget is valid
----
Modified : /trunk/gpac/modules/widgetman/widgetman.c

Revision: 2249
Author: bad_sheep
Date: 17:57:19, mardi 16 novembre 2010
Message:
Fixed pulse audio in configure + fixed type of interface for pulseaudio
----
Modified : /trunk/gpac/configure
Modified : /trunk/gpac/modules/pulseaudio/pulseaudio.c

Revision: 2248
Author: bad_sheep
Date: 12:13:27, vendredi 12 novembre 2010
Message:
Fixed leaking FILE pointer
----
Modified : /trunk/gpac/src/media_tools/img.c

Revision: 2247
Author: jeanlf
Date: 16:47:10, mardi 9 novembre 2010
Message:

----
Deleted : /trunk/gpac/modules/m3u8_in

Revision: 2246
Author: jeanlf
Date: 16:40:48, mardi 9 novembre 2010
Message:
Misc fixes in focus handling
----
Modified : /trunk/gpac/include/gpac/internal/compositor_dev.h
Modified : /trunk/gpac/src/compositor/compositor.c
Modified : /trunk/gpac/src/compositor/events.c

Revision: 2245
Author: jeanlf
Date: 16:40:17, mardi 9 novembre 2010
Message:
Added event filter
----
Modified : /trunk/gpac/modules/gpac_js/gpac_js.c

Revision: 2244
Author: jeanlf
Date: 16:39:54, mardi 9 novembre 2010
Message:
Removed event filters from TermExt module and added dedicated api
----
Modified : /trunk/gpac/src/export.cpp

Revision: 2243
Author: jeanlf
Date: 16:39:40, mardi 9 novembre 2010
Message:
Added test code for TS discontinuities
----
Modified : /trunk/gpac/src/terminal/channel.c

Revision: 2242
Author: jeanlf
Date: 16:39:10, mardi 9 novembre 2010
Message:
Fixed bug in service closing when referering to media object without OD stream
----
Modified : /trunk/gpac/src/terminal/object_manager.c

Revision: 2241
Author: jeanlf
Date: 16:38:20, mardi 9 novembre 2010
Message:
Removed event filters from TermExt module and added dedicated api
----
Modified : /trunk/gpac/include/gpac/internal/terminal_dev.h
Modified : /trunk/gpac/src/terminal/terminal.c

Revision: 2240
Author: jeanlf
Date: 16:38:03, mardi 9 novembre 2010
Message:
Removed event filters from TermExt module and added dedicated api
----
Modified : /trunk/gpac/modules/platinum/GPACPlatinum.cpp
Modified : /trunk/gpac/modules/platinum/GPACPlatinum.h
Modified : /trunk/gpac/modules/redirect_av/redirect_av.c
Modified : /trunk/gpac/modules/ui_rec/ui_rec.c

Revision: 2239
Author: jeanlf
Date: 16:37:43, mardi 9 novembre 2010
Message:
Removed event filters from TermExt module and added dedicated api
----
Modified : /trunk/gpac/include/gpac/modules/term_ext.h

Revision: 2238
Author: jeanlf
Date: 16:36:00, mardi 9 novembre 2010
Message:
Added automatic service closing when stoping external resources
----
Modified : /trunk/gpac/include/gpac/mediaobject.h
Modified : /trunk/gpac/src/compositor/texturing.c
Modified : /trunk/gpac/src/terminal/media_object.c

Revision: 2237
Author: jeanlf
Date: 16:35:25, mardi 9 novembre 2010
Message:
Fixed URL switching bug
----
Modified : /trunk/gpac/src/compositor/mpeg4_audio.c
Modified : /trunk/gpac/src/compositor/mpeg4_textures.c

Revision: 2236
Author: jeanlf
Date: 16:34:13, mardi 9 novembre 2010
Message:
Added new reframe mode for PES
----
Modified : /trunk/gpac/include/gpac/mpegts.h
Modified : /trunk/gpac/modules/mpegts_in/mpegts_in.c
Modified : /trunk/gpac/src/media_tools/mpegts.c

Revision: 2235
Author: jeanlf
Date: 16:33:21, mardi 9 novembre 2010
Message:
Added mpd_in makefile
----
Added : /trunk/gpac/modules/mpd_in/Makefile

Revision: 2234
Author: jeanlf
Date: 16:31:33, mardi 9 novembre 2010
Message:
Merged M3U8 in MPD
----
Modified : /trunk/gpac/applications/m3u82mpd/main.c

Revision: 2233
Author: jeanlf
Date: 16:31:16, mardi 9 novembre 2010
Message:
Merged M3U8 in MPD
----
Modified : /trunk/gpac/modules/mpd_in/mpd_in.c

Revision: 2232
Author: jeanlf
Date: 16:30:57, mardi 9 novembre 2010
Message:
Merged M3U8 in MPD
----
Added : /trunk/gpac/modules/mpd_in/m3u8.c
Added : /trunk/gpac/modules/mpd_in/m3u8.h

Revision: 2231
Author: jeanlf
Date: 16:30:15, mardi 9 novembre 2010
Message:
Merged M3U8 in MPD
----
Modified : /trunk/gpac/build/msvc8/mpd_in.vcproj

Revision: 2230
Author: jeanlf
Date: 16:29:56, mardi 9 novembre 2010
Message:
Merged M3U8 in MPD
----
Modified : /trunk/gpac/build/msvc8/m3u82mpd.vcproj

Revision: 2229
Author: jeanlf
Date: 16:19:11, mardi 9 novembre 2010
Message:
Public release of DASH & M3u8 support for playback
----
Modified : /trunk/gpac/build/msvc8/gpac.sln

Revision: 2228
Author: jeanlf
Date: 15:54:29, mardi 9 novembre 2010
Message:
Public release of DASH & M3u8 support for playback
----
Added : /trunk/gpac/modules/mpd_in
Added : /trunk/gpac/modules/mpd_in/mpd.c
Added : /trunk/gpac/modules/mpd_in/mpd.h
Added : /trunk/gpac/modules/mpd_in/mpd_in.c

Revision: 2227
Author: jeanlf
Date: 16:33:16, lundi 8 novembre 2010
Message:
Fixed potential bug in AAC reframe
----
Modified : /trunk/gpac/modules/mpegts_in/mpegts_in.c

Revision: 2226
Author: jeanlf
Date: 16:32:09, lundi 8 novembre 2010
Message:
Fixed relative subscript loading
----
Modified : /trunk/gpac/src/scenegraph/vrml_smjs.c

Revision: 2225
Author: jeanlf
Date: 16:31:41, lundi 8 novembre 2010
Message:
Changed logs
----
Modified : /trunk/gpac/src/media_tools/mpegts.c

Revision: 2224
Author: jeanlf
Date: 16:31:19, lundi 8 novembre 2010
Message:
Fixed pixel aspect ratio compute
----
Modified : /trunk/gpac/src/terminal/scene.c

Revision: 2223
Author: jeanlf
Date: 16:30:53, lundi 8 novembre 2010
Message:
Fixed concatentation bug when suburl is full path from server root
----
Modified : /trunk/gpac/src/utils/url.c

Revision: 2222
Author: jeanlf
Date: 16:30:22, lundi 8 novembre 2010
Message:
Fixed initial sync bug in MPEG-2 TS: media objects inserted from broadcast are no longer added to the media queue, playback request is sent synchronously
----
Modified : /trunk/gpac/include/gpac/internal/terminal_dev.h
Modified : /trunk/gpac/src/terminal/channel.c
Modified : /trunk/gpac/src/terminal/decoder.c
Modified : /trunk/gpac/src/terminal/network_service.c
Modified : /trunk/gpac/src/terminal/object_manager.c

Revision: 2221
Author: jeanlf
Date: 16:28:35, lundi 8 novembre 2010
Message:
Moved segment logs to mpdin
----
Modified : /trunk/gpac/modules/isom_in/read_ch.c

Revision: 2220
Author: jeanlf
Date: 16:25:00, lundi 8 novembre 2010
Message:
Fixed \r\n in URLs
----
Modified : /trunk/gpac/modules/m3u8_in/m3u8_parser.c

Revision: 2219
Author: cconcolato
Date: 16:18:54, samedi 6 novembre 2010
Message:
adding module log level parsing
----
Modified : /trunk/gpac/src/utils/error.c

Revision: 2218
Author: cconcolato
Date: 16:18:09, samedi 6 novembre 2010
Message:
fix for indefinite looping
----
Modified : /trunk/gpac/modules/mpegts_in/mpegts_in.c

Revision: 2217
Author: cconcolato
Date: 16:14:17, vendredi 5 novembre 2010
Message:
Fix a bug with the config buffer
remove fflush of stdout and used stderr instead
changed command line and processing to enable all output types at the same time
improved playlist generation
----
Modified : /trunk/gpac/applications/testapps/mp42ts/main.c

Revision: 2216
Author: bad_sheep
Date: 10:20:33, vendredi 5 novembre 2010
Message:
Fixed compilation warning and issues with buffering
----
Modified : /trunk/gpac/applications/testapps/mp42ts/main.c

Revision: 2215
Author: jeanlf
Date: 17:28:12, jeudi 4 novembre 2010
Message:
Removed early frame detection
----
Modified : /trunk/gpac/src/compositor/audio_input.c

Revision: 2214
Author: jeanlf
Date: 17:27:12, jeudi 4 novembre 2010
Message:
Changed log messages
----
Modified : /trunk/gpac/modules/mpegts_in/mpegts_in.c

Revision: 2213
Author: jeanlf
Date: 16:47:25, jeudi 4 novembre 2010
Message:
Fixed bug in focus handling inside proto instances
----
Modified : /trunk/gpac/src/compositor/events.c

Revision: 2212
Author: enst_devs
Date: 14:47:23, jeudi 4 novembre 2010
Message:
[bouqueau] add gf_sprintf() + put memory related functions in new alloc.c file.
----
Modified : /trunk/gpac/build/msvc8/libgpac.vcproj
Modified : /trunk/gpac/build/msvc9/libgpac.vcproj
Modified : /trunk/gpac/include/gpac/tools.h
Modified : /trunk/gpac/src/Makefile
Modified : /trunk/gpac/src/export.cpp
Added : /trunk/gpac/src/utils/alloc.c
Modified : /trunk/gpac/src/utils/error.c

Revision: 2211
Author: cconcolato
Date: 18:29:36, mercredi 3 novembre 2010
Message:
Initial implementation of segment and M3U8 generation
----
Modified : /trunk/gpac/applications/testapps/mp42ts/main.c

Revision: 2210
Author: enst_devs
Date: 14:41:27, mercredi 27 octobre 2010
Message:
[bouqueau] fix m2ts muxing
----
Modified : /trunk/gpac/src/media_tools/m2ts_mux.c

Revision: 2209
Author: enst_devs
Date: 13:51:53, mercredi 27 octobre 2010
Message:
[bouqueau] cpu load regulation for mp42ts
----
Modified : /trunk/gpac/applications/testapps/mp42ts/main.c

Revision: 2208
Author: jeanlf
Date: 09:21:06, mercredi 27 octobre 2010
Message:
Remove composition buffer stop pacth (not working)
----
Modified : /trunk/gpac/src/terminal/object_manager.c

Revision: 2207
Author: jeanlf
Date: 09:19:41, mercredi 27 octobre 2010
Message:
Allowed creation of download session without user IO callback
----
Modified : /trunk/gpac/src/terminal/network_service.c

Revision: 2206
Author: jeanlf
Date: 09:18:40, mercredi 27 octobre 2010
Message:
Fixed potential sync bug when media decoding fails
----
Modified : /trunk/gpac/src/terminal/decoder.c

Revision: 2205
Author: jeanlf
Date: 09:17:49, mercredi 27 octobre 2010
Message:
new exported symbols
----
Modified : /trunk/gpac/src/export.cpp

Revision: 2204
Author: jeanlf
Date: 09:17:07, mercredi 27 octobre 2010
Message:
DASH support improvements
----
Modified : /trunk/gpac/include/gpac/modules/service.h
Modified : /trunk/gpac/modules/isom_in/isom_in.h
Modified : /trunk/gpac/modules/isom_in/read.c
Modified : /trunk/gpac/modules/isom_in/read_ch.c
Modified : /trunk/gpac/modules/mpegts_in/mpegts_in.c

Revision: 2203
Author: jeanlf
Date: 09:16:08, mercredi 27 octobre 2010
Message:
Added subplaylist parsing
----
Modified : /trunk/gpac/modules/m3u8_in/m3u8_parser.c
Modified : /trunk/gpac/modules/m3u8_in/m3u8_parser.h

Revision: 2202
Author: jeanlf
Date: 09:15:31, mercredi 27 octobre 2010
Message:
Added segment open/release for read mode
----
Modified : /trunk/gpac/include/gpac/internal/isomedia_dev.h
Modified : /trunk/gpac/include/gpac/isomedia.h
Modified : /trunk/gpac/src/isomedia/isom_read.c

Revision: 2201
Author: jeanlf
Date: 09:14:45, mercredi 27 octobre 2010
Message:
Added dedicated audio log subsystem ("audio")
----
Modified : /trunk/gpac/include/gpac/tools.h
Modified : /trunk/gpac/src/compositor/audio_input.c
Modified : /trunk/gpac/src/compositor/audio_mixer.c
Modified : /trunk/gpac/src/compositor/audio_render.c
Modified : /trunk/gpac/src/utils/error.c

Revision: 2200
Author: jeanlf
Date: 09:13:48, mercredi 27 octobre 2010
Message:
Added session reset and get resource URL
----
Modified : /trunk/gpac/include/gpac/download.h
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2199
Author: jeanlf
Date: 17:24:09, lundi 25 octobre 2010
Message:
Added m3u8->mpd conversion
----
Modified : /trunk/gpac/build/msvc8/mpd_in.vcproj

Revision: 2198
Author: jeanlf
Date: 17:23:38, lundi 25 octobre 2010
Message:
Fixed data notification when no cache and no threading is used
----
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2197
Author: jeanlf
Date: 17:15:43, lundi 25 octobre 2010
Message:
Fixed buffer occupancy computation
----
Modified : /trunk/gpac/src/terminal/network_service.c

Revision: 2196
Author: jeanlf
Date: 17:15:14, lundi 25 octobre 2010
Message:
Added simulation step logs
----
Modified : /trunk/gpac/src/terminal/media_manager.c

Revision: 2195
Author: jeanlf
Date: 17:14:42, lundi 25 octobre 2010
Message:
Fixed timing init bug when end of AUs is not signaled in transport layer
----
Modified : /trunk/gpac/src/terminal/channel.c

Revision: 2194
Author: jeanlf
Date: 17:13:40, lundi 25 octobre 2010
Message:
Fixed data notification when no cache and no threading is used
----
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2193
Author: jeanlf
Date: 17:12:45, lundi 25 octobre 2010
Message:
Changed log messages to include timing
----
Modified : /trunk/gpac/src/utils/os_thread.c

Revision: 2192
Author: jeanlf
Date: 17:12:11, lundi 25 octobre 2010
Message:
changed some log levels and disabled audio blank frame detection
----
Modified : /trunk/gpac/src/compositor/audio_input.c

Revision: 2191
Author: jeanlf
Date: 17:11:24, lundi 25 octobre 2010
Message:
Fixed some regulation bugs when playing from file, and added http based playback
----
Modified : /trunk/gpac/modules/mpegts_in/mpegts_in.c

Revision: 2190
Author: jeanlf
Date: 17:09:54, lundi 25 octobre 2010
Message:
Moved back GPAC JS extension as a js extension, not as a terminal one
----
Modified : /trunk/gpac/modules/gpac_js/gpac_js.c

Revision: 2189
Author: enst_devs
Date: 17:52:38, vendredi 22 octobre 2010
Message:
[bouqueau] improve 'text' box support
----
Modified : /trunk/gpac/include/gpac/internal/isomedia_dev.h
Modified : /trunk/gpac/src/isomedia/box_code_3gpp.c
Modified : /trunk/gpac/src/isomedia/box_dump.c

Revision: 2188
Author: jeanlf
Date: 10:03:33, vendredi 22 octobre 2010
Message:
fixed bug when restarting media objects
----
Modified : /trunk/gpac/src/terminal/object_manager.c

Revision: 2187
Author: jeanlf
Date: 10:02:17, vendredi 22 octobre 2010
Message:
Fixed module loading when no mime is set in GPAC cfg file
----
Modified : /trunk/gpac/src/terminal/network_service.c

Revision: 2186
Author: jeanlf
Date: 10:01:22, vendredi 22 octobre 2010
Message:
fixed restart_time for dynamic scenes
----
Modified : /trunk/gpac/src/terminal/mpeg4_inline.c

Revision: 2185
Author: jeanlf
Date: 10:00:16, vendredi 22 octobre 2010
Message:
Fixed potential crash upon resource unlinking
----
Modified : /trunk/gpac/src/terminal/media_sensor.c

Revision: 2184
Author: jeanlf
Date: 09:59:35, vendredi 22 octobre 2010
Message:
Fixed bug in SL fecthing and timeline init
----
Modified : /trunk/gpac/src/terminal/channel.c

Revision: 2183
Author: jeanlf
Date: 19:05:11, jeudi 21 octobre 2010
Message:
fixed compilation warning
----
Modified : /trunk/gpac/build/msvc8/mpd_in.vcproj
Modified : /trunk/gpac/build/msvc8/opensvc.vcproj

Revision: 2182
Author: jeanlf
Date: 19:04:45, jeudi 21 octobre 2010
Message:
fixed compilation warning
----
Modified : /trunk/gpac/applications/testapps/mp42ts/mp42ts.vcproj

Revision: 2181
Author: jeanlf
Date: 18:46:08, jeudi 21 octobre 2010
Message:
Fixed resize problem
----
Modified : /trunk/gpac/applications/osmo4_w32/MainFrm.cpp
Modified : /trunk/gpac/applications/osmo4_w32/Osmo4.cpp

Revision: 2180
Author: jeanlf
Date: 18:45:47, jeudi 21 octobre 2010
Message:
fixed compil warnings
----
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2179
Author: jeanlf
Date: 18:45:16, jeudi 21 octobre 2010
Message:
Added security check before PCR notif
----
Modified : /trunk/gpac/src/media_tools/mpegts.c

Revision: 2178
Author: jeanlf
Date: 18:44:29, jeudi 21 octobre 2010
Message:
Fixed desync issue in TS->MP4 import
----
Modified : /trunk/gpac/src/media_tools/media_import.c

Revision: 2177
Author: jeanlf
Date: 18:43:55, jeudi 21 octobre 2010
Message:
Fixed SEI parsing when emulation bytes are present
----
Modified : /trunk/gpac/src/media_tools/av_parsers.c

Revision: 2176
Author: enst_devs
Date: 16:33:46, jeudi 21 octobre 2010
Message:
[bouqueau] improve gf_bs_available() behaviour
----
Modified : /trunk/gpac/src/utils/bitstream.c

Revision: 2175
Author: cconcolato
Date: 15:40:46, jeudi 21 octobre 2010
Message:
First attempt at a M3U8 translator into MPD
----
Added : /trunk/gpac/build/msvc8/m3u82mpd.vcproj

Revision: 2174
Author: cconcolato
Date: 15:40:17, jeudi 21 octobre 2010
Message:
First attempt at a M3U8 translator into MPD
----
Added : /trunk/gpac/applications/m3u82mpd
Added : /trunk/gpac/applications/m3u82mpd/main.c

Revision: 2173
Author: cconcolato
Date: 15:30:43, jeudi 21 octobre 2010
Message:
Adding a wget equivalent to the downloader (independent from the terminal, the config, the modules ...).
----
Modified : /trunk/gpac/src/utils/downloader.c

Revision: 2172
Author: cconcolato
Date: 15:22:46, jeudi 21 octobre 2010
Message:
fix concatenation of url
----
Modified : /trunk/gpac/modules/m3u8_in/m3u8_parser.c

Revision: 2171
Author: jeanlf
Date: 15:00:19, jeudi 21 octobre 2010
Message:
Fixed AVC reframer + reject any TS packet with error bit right away
----
Modified : /trunk/gpac/include/gpac/mpegts.h
Modified : /trunk/gpac/src/media_tools/mpegts.c

Revision: 2170
Author: enst_devs
Date: 14:48:54, jeudi 21 octobre 2010
Message:
[bouqueau] sanity check
----
Modified : /trunk/gpac/src/terminal/object_manager.c

Revision: 2169
Author: enst_devs
Date: 11:05:55, jeudi 21 octobre 2010
Message:
[bouqueau] improve avc sei parsing robustness
----
Modified : /trunk/gpac/include/gpac/internal/media_dev.h
Modified : /trunk/gpac/src/media_tools/av_parsers.c
Modified : /trunk/gpac/src/media_tools/media_import.c
Modified : /trunk/gpac/src/media_tools/mpegts.c

Revision: 2168
Author: jeanlf
Date: 17:37:07, mercredi 20 octobre 2010
Message:
Fixed RAP generation for BIFS and OD to strictly follow RAP period
----
Modified : /trunk/gpac/include/gpac/mpeg4_odf.h
Modified : /trunk/gpac/src/odf/odf_codec.c
Modified : /trunk/gpac/src/scene_manager/encode_isom.c

Revision: 2167
Author: jeanlf
Date: 17:36:09, mercredi 20 octobre 2010
Message:
Added RAP signaling in time inspection
----
Modified : /trunk/gpac/applications/mp4box/filedump.c

Revision: 2166
Author: enst_devs
Date: 15:15:22, mercredi 20 octobre 2010
Message:
[bouqueau] improve avc import (especially FPS detection)
----
Modified : /trunk/gpac/include/gpac/internal/media_dev.h
Modified : /trunk/gpac/src/media_tools/av_parsers.c
Modified : /trunk/gpac/src/media_tools/media_import.c
Modified : /trunk/gpac/src/media_tools/mpegts.c

Revision: 2165
Author: jeanlf
Date: 13:47:17, mercredi 20 octobre 2010
Message:
Fixed bug in file saving  detection
----
Modified : /trunk/gpac/applications/mp4box/main.c

Revision: 2164
Author: jeanlf
Date: 13:46:13, mercredi 20 octobre 2010
Message:
Added log message for incomplete boxes
----
Modified : /trunk/gpac/src/isomedia/box_funcs.c

Revision: 2163
Author: jeanlf
Date: 13:45:26, mercredi 20 octobre 2010
Message:
Added AAC ADTS reframer
----
Modified : /trunk/gpac/src/media_tools/mpegts.c

Revision: 2162
Author: cconcolato
Date: 10:51:33, mercredi 20 octobre 2010
Message:
Fix search of last access unit
----
Modified : /trunk/gpac/src/scene_manager/scene_manager.c

Revision: 2161
Author: jeanlf
Date: 10:42:31, mercredi 20 octobre 2010
Message:
Fixed bug in image import with initial DTS != 0
----
Modified : /trunk/gpac/src/media_tools/media_import.c

Revision: 2160
Author: jeanlf
Date: 10:26:16, mercredi 20 octobre 2010
Message:
Patch for mingw 64
----
Modified : /trunk/gpac/src/utils/dlmalloc.c

Revision: 2159
Author: jeanlf
Date: 10:16:44, mercredi 20 octobre 2010
Message:
Fixed bug in AVC hinting (STAP was disabled)
----
Modified : /trunk/gpac/src/ietf/rtp_packetizer.c
Modified : /trunk/gpac/src/ietf/rtp_pck_mpeg4.c

Revision: 2158
Author: cconcolato
Date: 17:11:33, mardi 19 octobre 2010
Message:
Implementation of MPD generation
----
Modified : /trunk/gpac/src/media_tools/isom_tools.c

Revision: 2157
Author: jeanlf
Date: 17:08:59, mardi 19 octobre 2010
Message:
Fixed moof sequence number checking to comply with the spec
----
Modified : /trunk/gpac/src/isomedia/isom_intern.c

Revision: 2156
Author: jeanlf
Date: 17:08:20, mardi 19 octobre 2010
Message:
removed test on mfhd sequence number (0 is allowed by the spec)
----
Modified : /trunk/gpac/src/isomedia/box_code_base.c

Revision: 2155
Author: jeanlf
Date: 17:07:16, mardi 19 octobre 2010
Message:
Fixed handling of EOS when dash is used
----
Modified : /trunk/gpac/modules/isom_in/isom_in.h
Modified : /trunk/gpac/modules/isom_in/read.c
Modified : /trunk/gpac/modules/isom_in/read_ch.c

Revision: 2154
Author: jeanlf
Date: 17:06:43, mardi 19 octobre 2010
Message:
Allow opening truncated file for info and dump operations
----
Modified : /trunk/gpac/applications/mp4box/main.c

Revision: 2153
Author: jeanlf
Date: 13:42:29, mardi 19 octobre 2010
Message:
Fixed DASHing crash when segment contains only one fragment
----
Modified : /trunk/gpac/src/isomedia/movie_fragments.c
Modified : /trunk/gpac/src/media_tools/isom_tools.c

Revision: 2152
Author: jeanlf
Date: 13:28:32, mardi 19 octobre 2010
Message:
Changed dash duration to be in same units as fragment duration
----
Modified : /trunk/gpac/applications/mp4box/main.c
Modified : /trunk/gpac/include/gpac/media_tools.h
Modified : /trunk/gpac/src/media_tools/isom_tools.c

Revision: 2151
Author: jeanlf
Date: 13:15:59, mardi 19 octobre 2010
Message:
Added '+' and '-' key handling
----
Modified : /trunk/gpac/modules/dx_hw/dx_window.c

Revision: 2150
Author: jeanlf
Date: 13:00:27, mardi 19 octobre 2010
Message:
Fixed alpha blending default function in OpenGL ES
----
Modified : /trunk/gpac/src/compositor/visual_manager_3d_gl.c

Revision: 2149
Author: jeanlf
Date: 12:57:59, mardi 19 octobre 2010
Message:
Added bitstream truncation
----
Modified : /trunk/gpac/src/utils/bitstream.c

Revision: 2148
Author: jeanlf
Date: 12:57:41, mardi 19 octobre 2010
Message:
Added DASH file generation support (segmenting and fragmenting)
----
Modified : /trunk/gpac/src/isomedia/box_code_base.c
Modified : /trunk/gpac/src/isomedia/box_dump.c
Modified : /trunk/gpac/src/isomedia/box_funcs.c
Modified : /trunk/gpac/src/isomedia/isom_intern.c
Modified : /trunk/gpac/src/isomedia/isom_read.c
Modified : /trunk/gpac/src/isomedia/isom_write.c
Modified : /trunk/gpac/src/isomedia/movie_fragments.c
Modified : /trunk/gpac/src/isomedia/track.c
Modified : /trunk/gpac/src/media_tools/isom_tools.c

Revision: 2147
Author: jeanlf
Date: 12:57:12, mardi 19 octobre 2010
Message:
Added DASH file generation support (segmenting and fragmenting)
----
Modified : /trunk/gpac/applications/mp4box/main.c

Revision: 2146
Author: jeanlf
Date: 12:56:55, mardi 19 octobre 2010
Message:
Added DASH file generation support (segmenting and fragmenting)
----
Modified : /trunk/gpac/include/gpac/internal/isomedia_dev.h
Modified : /trunk/gpac/include/gpac/isomedia.h
Modified : /trunk/gpac/include/gpac/media_tools.h

Revision: 2145
Author: jeanlf
Date: 12:56:09, mardi 19 octobre 2010
Message:
Added quality switching capability
----
Modified : /trunk/gpac/include/gpac/terminal.h

Revision: 2144
Author: jeanlf
Date: 12:55:51, mardi 19 octobre 2010
Message:
Added bitstream truncation
----
Modified : /trunk/gpac/include/gpac/bitstream.h

Revision: 2143
Author: jeanlf
Date: 12:55:15, mardi 19 octobre 2010
Message:
Added quality switching capability
----
Modified : /trunk/gpac/applications/mp4client/main.c

Revision: 2142
Author: jeanlf
Date: 12:54:57, mardi 19 octobre 2010
Message:
Added quality switching capability
----
Modified : /trunk/gpac/src/export.cpp

Revision: 2141
Author: jeanlf
Date: 12:54:29, mardi 19 octobre 2010
Message:
Added quality switching capability
----
Modified : /trunk/gpac/src/terminal/terminal.c

Revision: 2140
Author: jeanlf
Date: 12:54:11, mardi 19 octobre 2010
Message:
Added quality switching capability
----
Modified : /trunk/gpac/include/gpac/modules/codec.h

Revision: 2139
Author: jeanlf
Date: 12:53:31, mardi 19 octobre 2010
Message:
Fixed decoder output and added layer switching
----
Modified : /trunk/gpac/modules/opensvc_dec/opensvc_dec.c

Revision: 2138
Author: jeanlf
Date: 12:52:33, mardi 19 octobre 2010
Message:
Fixed decoder output and added layer switching
----
Modified : /trunk/gpac/modules/opensvc_dec/opensvc_dec.c

Revision: 2137
Author: cconcolato
Date: 11:17:29, mardi 19 octobre 2010
Message:
adding possibility to remove the MPEG-2 TS muxer from the compilation
----
Modified : /trunk/gpac/include/gpac/configuration.h

Revision: 2136
Author: cconcolato
Date: 10:33:11, mardi 19 octobre 2010
Message:
additional conditional compiling
----
Modified : /trunk/gpac/configure

Revision: 2135
Author: cconcolato
Date: 10:02:09, mardi 19 octobre 2010
Message:
Fix conditional compilation 
----
Modified : /trunk/gpac/configure

Revision: 2134
Author: cconcolato
Date: 09:57:29, mardi 19 octobre 2010
Message:
miscellaneous fixes for conditional compilation
----
Modified : /trunk/gpac/src/export.cpp

Revision: 2133
Author: cconcolato
Date: 09:57:01, mardi 19 octobre 2010
Message:
Adding the possibility to compile without MPEG-2 TS Mux
----
Modified : /trunk/gpac/src/media_tools/m2ts_mux.c

Revision: 2132
Author: cconcolato
Date: 09:56:33, mardi 19 octobre 2010
Message:
Fix compilation when ISO support is not there
----
Modified : /trunk/gpac/include/gpac/rtp_streamer.h

Revision: 2131
Author: cconcolato
Date: 09:56:11, mardi 19 octobre 2010
Message:
adding the possibility to remove MPEG-2 TS Mux from compilation
----
Modified : /trunk/gpac/include/gpac/mpegts.h

Revision: 2130
Author: cconcolato
Date: 20:29:05, lundi 18 octobre 2010
Message:
merging tracks was not checking the track id
----
Modified : /trunk/gpac/src/isomedia/track.c

Revision: 2129
Author: cconcolato
Date: 20:28:08, lundi 18 octobre 2010
Message:
Fix for conditional compilation (no X3D)
----
Modified : /trunk/gpac/src/terminal/scene.c

Revision: 2128
Author: cconcolato
Date: 20:27:24, lundi 18 octobre 2010
Message:
Fix for conditional compilation (no movie fragments)
----
Modified : /trunk/gpac/src/isomedia/isom_read.c

Revision: 2127
Author: cconcolato
Date: 20:26:34, lundi 18 octobre 2010
Message:
Fix when compilation uses minimal ODF, need for sl_depacketize for MPEG-2 TS/T-DMB module
----
Modified : /trunk/gpac/src/export.cpp

Revision: 2126
Author: cconcolato
Date: 20:25:41, lundi 18 octobre 2010
Message:
Adding directives when not compiling with ISO Movie Fragments
----
Modified : /trunk/gpac/src/isomedia/isom_intern.c
